ggsn(8)

NAME
ggsn - Gateway GPRS Support Node.

SYNOPSIS
ggsn --help

ggsn --version

ggsn [ --fg ] [ --debug ] [ --conf file ] [ --pidfile file ] [ --statedir file ] [ --listen host ] [ --net net ] [ --ipup script ] [ --ipdown script ] [ --dynip net ] [ --statip net ] [ --pcodns1 host ] [ --pcodns2 host ] [ --timelimit seconds ]

DESCRIPTION
ggsn is part of the OpenGGSN project, and implements a Gateway GPRS Support Node. It is used by mobile operators as the interface between the Internet and the rest of the mobile network infrastructure.

The GPRS functionality and protocols has been standardised by the Third Generation Partnership Project (3GPP). According to the 3GPP specifications a GGSN has two interfaces: The Gn/Gp interface and the Gi interface.

The Gn/Gp interface can be seen as the downlink interface of the GGSN. It is used for communicating with the Serving GPRS Support Node (SGSN) which again interfaces to the radio access network. The Gn/Gp interface uses the GPRS tunneling protocol (GTP). User data packets (typically IP packets) are tunneled over GTP, which again uses UDP over IP.

The other interface can be thought of as the uplink interface, and interfaces the GGSN to an external data network. Gi is most often an interface to the Internet. ggsn uses the TUN/TAP driver for the Gi interface. A tun network interface is established when the ggsn is started.

ggsn will accept incoming connections from mobile stations through the radio access network and the SGSN. When a connection request is received the ggsn will allocate a dynamic IP address for the mobile station, and allow the mobile station to access the Gi interface. Connections are terminated by either the mobile station or the SGSN. Runtime errors are reported using the Osmocom logging framework.

Typically ggsn will be deployed with two Ethernet interfaces. One for the Gn/Gp interface, and one for the Gi interface. Policy routing and firewall rules should be used in order to separate Gi traffic from Gn/Gp traffic.

OPTIONS

--help
    Print help and exit.

--version
    Print version and exit.

--fg
    Run in foreground (default = off)

--debug
    Run in debug mode (default = off)

--conf file
    Read configuration file (default = /etc/ggsn.conf) where each line corresponds to one command line option, but with the leading '--' removed. Command line options override the options given in the configuration file.

--pidfile file
    Filename of process id file (default = /var/run/ggsn.pid)

--statedir path
    path to directory of nonvolatile data (default = /var/lib/ggsn/)

--listen host
    Local interface IP address to use for the Gn/Gp interface. This option must be specified. For security issues it is not possible to use INADDR_ANY.

--net net
    Network address of the Gi interface (default = 192.168.0.0/24). The network address is set during initialisation when ggsn establishes a tun device for the Gi interface.

--ipup script
    Script executed after the Gi tun network interface has been brought up. Executed with the following parameters: <devicename> <ip address>

--ipdown script
    Script executed after the Gi tun network interface has been taken down. Executed with the following parameters: <devicename> <ip address>

--dynip net
    Dynamic IP address pool. Specifies a pool of dynamic IP addresses. If this option is omitted the network address specified by the --net option is used for dynamic IP address allocation.

--pcodns1 host
    PCO DNS Server 1 (default = 0.0.0.0). PCO stands for Protocol Configuration options, and is part of the GPRS protocols. It is used to inform the mobile station about the DNS address to use for host name resolution.

--pcodns2 host
    PCO DNS Server 2 (default = 0.0.0.0). PCO stands for Protocol Configuration options, and is part of the GPRS protocols. It is used to inform the mobile station about the DNS address to use for host name resolution.

--timelimit seconds
    Exit after seconds. Used for debugging.

FILES
/etc/ggsn.conf
    The configuration file for ggsn.
/var/run/ggsn.pid
    Process ID file.
/var/lib/ggsn
    Directory holding nonvolatile data.

BUGS
Report all bugs to the OpenGGSN bug tracking list at http://sourceforge.net/projects/ggsn/

ggsn has very limited management support. Currently both SNMP as well as billing mechanisms are missing.

SEE ALSO
sgsnemu(8)

NOTES

Besides the long options documented in this man page ggsn also accepts a number of short options with the same functionality. Use ggsn --help for a full list of all the available options.

The TUN/TAP driver is required for proper operation of ggsn. For linux kernels later than 2.4.7 the TUN/TAP driver is included in the kernel, but typically needs to be loaded manually with modprobe tun. For automatic loading the line alias char-major-10-200 tun can be added to /etc/modules.conf. For other platforms see http://vtun.sourceforge.net/tun/ for information on how to install and configure the tun driver.

ggsn uses the GPRS Tunneling Protocol (GTP) as specified by the Third Generation Partnership Project (3GPP). 3GPP protocols specifications can be found at http://www.3gpp.org

COPYRIGHT

Copyright (C) 2002, 2003 by Mondru AB.

The contents of this file may be used under the terms of the GNU General Public License Version 2, provided that the above copyright notice and this permission notice is included in all copies or substantial portions of the software.

AUTHORS
Jens Jakobsen <jj@openggsn.org>